diff --git a/modules/access/decklink.cpp b/modules/access/decklink.cpp
index f8b7812..9f3add3 100644
--- a/modules/access/decklink.cpp
+++ b/modules/access/decklink.cpp
@@ -532,10 +532,13 @@ static int Open( vlc_object_t *p_this )
             msg_Err( p_demux, "Failed to enable audio input" );
             goto finish;
         }
     }
 
+    /* Save our settings. */
+    p_config->WriteConfigurationToPreferences();
+
     p_sys->p_delegate = new DeckLinkCaptureDelegate( p_demux );
     p_sys->p_input->SetCallback( p_sys->p_delegate );
 
     result = p_sys->p_input->StartStreams();
     if( result != S_OK )
